ARC(4)

NAME
arc - Areca Technology Corporation SAS/SATA RAID controller

SYNOPSIS
arc* at pci?
scsibus* at arc?

DESCRIPTION
The arc driver provides support for the PCI-X and PCI Express RAID controllers from Areca Technology Corporation:

-   ARC-1110 PCI-X 4 Port SATA RAID Controller
-   ARC-1110ML PCI-X 4 Port SATA RAID Controller
-   ARC-1120 PCI-X 8 Port SATA RAID Controller
-   ARC-1120ML PCI-X 8 Port SATA RAID Controller
-   ARC-1130 PCI-X 12 Port SATA RAID Controller
-   ARC-1130ML PCI-X 12 Port SATA RAID Controller
-   ARC-1160 PCI-X 16 Port SATA RAID Controller
-   ARC-1160ML PCI-X 16 Port SATA RAID Controller
-   ARC-1170 PCI-X 24 Port SATA RAID Controller
-   ARC-1200 Rev A PCI Express 2 Port SATA RAID Controller
-   ARC-1202 PCI Express 2 Port SATA RAID Controller
-   ARC-1210 PCI Express 4 Port SATA RAID Controller
-   ARC-1220 PCI Express 8 Port SATA RAID Controller
-   ARC-1230 PCI Express 12 Port SATA RAID Controller
-   ARC-1230ML PCI Express 12 Port SATA RAID Controller
-   ARC-1231ML PCI Express 12 Port SATA RAID Controller
-   ARC-1260 PCI Express 16 Port SATA RAID Controller
-   ARC-1260ML PCI Express 16 Port SATA RAID Controller
-   ARC-1261ML PCI Express 16 Port SATA RAID Controller
-   ARC-1280 PCI Express 24 Port SATA RAID Controller
-   ARC-1280ML PCI Express 24 Port SATA RAID Controller
-   ARC-1680 PCI Express 8 Port SAS RAID Controller
-   ARC-1680LP PCI Express 8 Port SAS RAID Controller
-   ARC-1680i PCI Express 8 Port SAS RAID Controller
-   ARC-1680x PCI Express 8 Port SAS RAID Controller
-   ARC-1681 PCI-X 8 Port SAS RAID Controller

These controllers can support RAID levels 0, 1, 1E, 3, 5, 6, and JBOD.

arc supports alarm control and monitoring of volumes configured on the controllers via the bio(4) interface and the bioctl(8) utility.

SEE ALSO
bio(4), intro(4), pci(4), scsi(4), bioctl(8)

HISTORY
The arc driver first appeared in OpenBSD 4.0.

AUTHORS
-nosplit The arc driver was written by David Gwynne <dlg@openbsd.org>.